<?
include 'mysql.php';
Error_Reporting(0);

list($msec,$sec)=explode(chr(32),microtime());
$HeadTime=$sec+$msec;
$_title = 'Linewap2';
include 'include/header.php';
include 'include/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {

$dir = opendir ("MySql/base123/rating/olimpiads");
echo "<b><small>Герои</small></b><br/><br/>";

$dir = opendir ("MySql/base123/rating/olimpiads");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

if($total!=="0"){

for ($i = 0; $i < $total; $i++){
$tex = @file("MySql/base123/rating/olimpiads/$a[$i]");
$data = explode("||",$tex[0]);


$dat_log[]=$data[0];
$dat_kol[]=$data[1];
}


@arsort($dat_kol);



foreach($dat_kol as $k=>$v)
{

$dat_screen[]='<small><b><a href="search.php?nick='.$dat_log[$k].'&'.$sd.'&go=go">'.$dat_log[$k].'</a></b><br/>Собрал медалей: '.$dat_kol[$k].'<br/></small>';


}



if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "<small>$i2.</small> $dat_screen[$i]";
}

echo"<br/><small>Всего героев: $total</small>";

}else{echo"<small>Героев нет.</small>";}

}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

